/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package UI;

import java.awt.Color;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFrame;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import processing.core.PApplet;
import processing.core.PVector;
import wordcram.Word;
import wordcram.WordCram;

/**
 *
 * @author gmilolidakis
 */
public class ProcessingUI extends PApplet {

    WordCram wordVis;
    ConfigPanel panel;

    public ProcessingUI() {
    }

    @Override
    public void setup() {
        JFrame mainConfigFrame = new JFrame("WordCloudSetting");
        panel = new ConfigPanel(this);
        mainConfigFrame.add(panel);
        mainConfigFrame.pack();
        mainConfigFrame.setAlwaysOnTop(true);
        mainConfigFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        mainConfigFrame.setVisible(true);
        mainConfigFrame.setResizable(false);

        size(panel.getVisWidth(), panel.getVisHeight());
        setBounds(0, 0, panel.getVisWidth(), panel.getVisHeight());
        background(panel.getVisBGColor());

        wordVis = new WordCram(this);
        panel.setWordVis(wordVis);

    }

    @Override
    public void draw() {
        size(panel.getVisWidth(), panel.getVisHeight());
        frame.setSize(panel.getVisWidth(), panel.getVisHeight());
    }

    public void resetProcessing() {
        clear();
        size(panel.getVisWidth(), panel.getVisHeight());
        background(panel.getVisBGColor());
        wordVis = new WordCram(this);
        panel.setWordVis(wordVis);
    }

    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                PApplet.main("UI.ProcessingUI");
            }
        });
    }
}
